# 32/64bit spec-file
#
%define name libmp3splt
%define version 0.9.2
%define release %mkrel 1
%define oname	mp3splt
%define major	0
%define libname	%mklibname %{oname} %{major}
%define develname %mklibname -d %{oname}


Summary: Library created from mp3splt to split mp3 and ogg without deconding
Summary(de): Bibliothek zum Erstellen von mp3splt
Name: %{name}
Version: %{version}
Release: %{release}
License:  GPLv2+
Group: Sound
Source0: %{name}-%{version}.tar.xz
URL: http://mp3splt.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	%{_lib}ogg-devel
BuildRequires:  doxygen
BuildRequires:	%{_lib}vorbis0-devel
BuildRequires:  graphviz
BuildRequires:	mad-devel
BuildRequires:	%{_lib}id3tag-devel
BuildRequires:	zlib-devel
BuildRequires:	glibc-devel
BuildRequires:	%{_lib}ltdl-devel
BuildRequires:	pcre-devel
BuildRequires:	%{_lib}flac8-devel

%description
mp3splt-project common features:
* split mp3 and ogg files from a begin time to an end time without decoding
* split an album with splitpoints from the freedb.org server
* split an album with local .XMCD, .CDDB or .CUE file
* split files automatically with silence detection
* split files by a fixed time length
* split files created with Mp3Wrap or AlbumWrap
* split concatenated mp3 files
* support for mp3 VBR (variable bit rate)
* specify output directory for splitted files

%description -l de
Bibliothek zum Erstellen von mp3splt zum Teilen mp3 und ogg Dateien 
ohne Decodierung. 
Die gemeinsamen Funktionen des mp3splt Projekts:
 * teilen von mp3 und ogg Dateien von Anfang bis Ende ohne decodieren.
 * teilen eines Albums mit Teilungspunkten vom freedb.org Server
 * teilen eines Albums mit lokalen .XMCD, .CDDB oder .CUE Dateien
 * teilen von Dateien automatisch bei Stille
 * teilen der Dateien bei einer bestimmten Länge
 * teilen der Dateien erstellt mit Mp3Wrap oder AlbumWrap
 * teilen verbundener mp3 Dateien
 * Unterstützung für mp3 VBR (variable bit raten) spezifizieren des Ausgabeverzeichnisses für die geteilten Dateien. 


%package -n %{libname}
Summary: Library created from mp3splt to split mp3 and ogg without deconding
Summary(de): Bibliothek zum Erstellen von mp3splt
Group: Sound
Obsoletes:	libmp3splt < %version
Provides:	libmp3splt = %version-%release


%description -n %{libname}
mp3splt-project common features:
* split mp3 and ogg files from a begin time to an end time without decoding
* split an album with splitpoints from the freedb.org server
* split an album with local .XMCD, .CDDB or .CUE file
* split files automatically with silence detection
* split files by a fixed time length
* split files created with Mp3Wrap or AlbumWrap
* split concatenated mp3 files
* support for mp3 VBR (variable bit rate)
* specify output directory for splitted files

%description -n %{libname} -l de
Bibliothek zum Erstellen von mp3splt zum Teilen mp3 und ogg Dateien 
ohne Decodierung. 
Die gemeinsamen Funktionen des mp3splt Projekts:
 * teilen von mp3 und ogg Dateien von Anfang bis Ende ohne decodieren.
 * teilen eines Albums mit Teilungspunkten vom freedb.org Server
 * teilen eines Albums mit lokalen .XMCD, .CDDB oder .CUE Dateien
 * teilen von Dateien automatisch bei Stille
 * teilen der Dateien bei einer bestimmten Länge
 * teilen der Dateien erstellt mit Mp3Wrap oder AlbumWrap
 * teilen verbundener mp3 Dateien
 * Unterstützung für mp3 VBR (variable bit raten) spezifizieren des Ausgabeverzeichnisses für die geteilten Dateien. 


%package -n %{develname}
Summary:	Headers and development libraries from %{name}
Summary(de):	Header und Entwicklerbibliotheken von libmp3splt.
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%name-devel = %{version}-%{release}
Obsoletes:	libmp3splt-devel < %version
Provides:	libmp3splt-devel = %version-%release

%description -n %{develname}
%{name} development headers and libraries

%description -n %{develname} -l de
Header und Entwicklerbibliotheken von libmp3splt. 

%prep
%setup -q

%build
%configure2_5x \
 --disable-rpath \
 --disable-static \
 --enable-doxygen_doc

%make


%install
%makeinstall_std

# fix doxygen doc install
mv %{buildroot}/%{_docdir}/libmp3splt/doxygen %{buildroot}/%{_docdir}/%{libname}
rm -rf %{buildroot}/%{_docdir}/libmp3splt

# Not needed
find %{buildroot} -name "*.la" -exec rm -rf {} \;




%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/%{name}.so.%{major}*
%dir %{_libdir}/%{name}%{major}
%{_libdir}/%{name}%{major}/libsplt_*.so.%{major}*
%{_datadir}/locale

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/libmp3splt/*.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}%{major}/libsplt_*.so
%{_libdir}/pkgconfig/libmp3splt.pc

%changelog
* Fri Nov 28 2014 ghostbunny <ghostbunny at gmx dot de> 0.9.2-1pclos2014
- 0.9.2

* Mon Jul 28 2014 bb <bb> 0.9.1a-2pclos2014
- fix upgrading on my system

* Thu Jul 24 2014 ghostbunny <ghostbunny at gmx dot de> 0.9.1a-1pclos2014
- 0.9.1a
- fix library names to get lib64 packages on 64bit

* Sat May 03 2014 ghostbunny <ghostbunny at gmx dot de> 0.9.1-1pclos2014
- 0.9.1
- removed patch was applied upstream
- add BR libflac8-devel

* Wed Nov 06 2013 billybot <billybot> 0.8.2-2pclos2013
- rebuild for new pcre

* Sat Apr 20 2013 Ken <lxgator at gmail dot com> 0.8.2-1pclos2013
- 0.8.2

* Sun Mar 24 2013 pinoc <vogtpet at gmail.com> 0.8.1a-2pclos2013
- fixed BR for 32/64

* Tue Mar 05 2013 ghostbunny <ghostbunny at gmx dot de> 0.8.1a-1pclos2013
- 0.8.1a

* Mon Jan 21 2013 ghostbunny <ghostbunny at gmx dot de> 0.8-1pclos2013
- 0.8
- disabled doxygen doc does not build correctly
- fixed files section for new folder name %{name}%{major} instead of %{name}
- fixed line numbers in patch

* Wed Sep 12 2012 Neal <nealbrks0 at gmail dot com> 0.7.3-1pclos2012
- process

* Wed Sep 12 2012 Ken <lxgator at gmail dot com> 0.7.3-1pclos2012
- 0.7.3

* Mon May 14 2012 Neal <nealbrks0 at gmail dot com> 0.7.2-1pclos2012
- process

* Mon May 14 2012 ghostbunny <ghostbunny at gmx dot de> 0.7.2-1pclos2012
- 0.7.2
- added %{_lib} macros

* Fri Aug 19 2011 Texstar <texstar at gmail.com> 0.7-1plcos2011
- 0.7

* Sun Mar 06 2011 Texstar <texstar at gmail.com> 0.6.1a-1pclos2011
- 0.6.1a

* Fri Oct 30 2009 slick50 <lxgator@gmail.com> 0.5.8-1pclos2010
- 0.5.8


